Package net.shibboleth.idp.attribute.resolver.dc

# Interface MappingStrategy<T>

Type Parameters:
  `T` - The type of result.

All Known Subinterfaces:
  `HTTPResponseMappingStrategy`, `ResponseMappingStrategy`, `ResultMappingStrategy`, `SearchResultMappingStrategy`, `StorageMappingStrategy`

All Known Implementing Classes:
  `AbstractMappingStrategy`, `BasicResponseMappingStrategy`, `ScriptedMappingStrategy`, `ScriptedResponseMappingStrategy`, `ScriptedStorageMappingStrategy`, `SimpleStorageMappingStrategy`, `StringAttributeValueMappingStrategy`, `StringResultMappingStrategy`

public interface MappingStrategy<T>
Strategy for mapping from an arbitrary result type to a collection of `IdPAttribute`s.

## Method Summary

Modifier and Type
Method
Description
`Map<String,IdPAttribute>`
`map(T results)`
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

## Method Details

### map

@Nullable @Unmodifiable @NotLive Map<String,IdPAttribute> map(@Nonnull T results) throws ResolutionException
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

Parameters:
  `results` - to map
Returns:
  the mapped attributes or null if none exist
Throws:
  `ResolutionException` - thrown if there is a problem reading data or mapping it